%% this is for Tsezar to re-generate Fig1 to keep an uniform format with other figures.
%% It is the same as those in \writing\figures\fig1 - new
%% All data files are copied from same sources.
%%

% to load the data for stacking plot in panel (c)
%fixed tth = 68
mth3 = [-24,     -19,   -14,    -8, -0.5,  5.5,   12];
mH3  = [-0.47, -0.33, -0.19, -0.03, 0.19, 0.35, 0.53];
mL3  = [ 6.89,  7.04,  7.15,  7.20, 7.15, 7.02, 6.80];
mAlpha = mth3+41.1273;
mBeta = 68-mAlpha;
mDiff = mAlpha - mBeta;
% absorption correction 1+sin(pi*mAlpha/180.)/sin(pi*mBeta/180.)
abFactor = 1+(sin(pi*mAlpha/180.))./sin(pi*mBeta./180.);

S176 = importdata('Scan176');
S185 = importdata('Scan185');
S190 = importdata('Scan190');
S195 = importdata('Scan195');
S200 = importdata('Scan200');
S205 = importdata('Scan205');
S210 = importdata('Scan210');

SList3 = [S176, S185, S190, S195, S200, S205, S210];


% load the Q points surveyed
load('Qpoints.mat')

%%
% this one is similar to thePlot.m, but with additional features in Q
% position pannel to show the size/intensity of the 2eV peak.

%%

figure(74)
set(gcf,'Color','w')
% set(gcf,'Color','none')
% set(gcf,'Units','Centimeters')
% set(gcf,'Position',[35 10 8.6 5.5]) 
% set(gcf,'Color','none')
% % set(gcf,'Color','w')
% 
% set(gcf,'Units','Centimeters')
% set(gcf,'Position',[25 10 8.6 5.5]) 

% ------------------------------ plot 3 model curves before elastic line subtraction -----------
theR = 2.38e9; % the universal scaling factor to bring back intensity into counts

axes('Position',[0.15 0.62 0.4 0.36])


k=2;i = (k-1)*4;tx = -SList3(:,i+1)*1000;ty = SList3(:,i+2)*theR*abFactor(k);
plot(tx, ty, '-ok','MarkerFaceColor','k','MarkerSize',13,'LineWidth',2)
hold on
k=3;i = (k-1)*4;tx = -SList3(:,i+1)*1000;ty = SList3(:,i+2)*theR*abFactor(k);
plot(tx, ty, '-sb','MarkerFaceColor','b','MarkerSize',13,'LineWidth',2)
hold on
k=4;i = (k-1)*4;tx = -SList3(:,i+1)*1000;ty = SList3(:,i+2)*theR*abFactor(k);
plot(tx, ty, '-dr','MarkerFaceColor','r','MarkerSize',13,'LineWidth',2)

axis([0.45 5.01 0 2900])
set(gca,'xtick',0:0.5:5,'FontSize',18)
set(gca,'ytick',0:500:2500,'FontSize',18)
xlabel('Energy loss (eV)','FontSize',22)
ylabel('Intensity (counts)','FontSize',22)
text(1.3,2600,'(a)','FontSize',20)

[h1,h2,h3,h4] = legend('Q = (-0.33, -0.33, 7.04)','Q = (-0.19, -0.19, 7.15)','Q = (-0.03, -0.03, 7.20)');
set(h1,'Box','off')
set(h1,'FontSize',18)

a = 0.0;
i = 4;temp = get(h2(i),'XData');set(h2(i),'XData',[temp(1)+a, temp(2)-a]) 
i = 6;temp = get(h2(i),'XData');set(h2(i),'XData',[temp(1)+a, temp(2)-a]) 
i = 8;temp = get(h2(i),'XData');set(h2(i),'XData',[temp(1)+a, temp(2)-a]) 


% --------------------------plot q positions-----------------------------
h1 = axes('Position',[0.134 0.2 0.19+0.03 0.34]);

% generate the three lines in R space.
a = 3.86; c = 12.17;
k =2*3.14159/1.891*1;%0.9995;   %E = 6.556, lambda = 1.891

QH2 = -0.8:0.02:0.8;
Qmax = 2*k*sin(78/2/180*3.14159);Qp = QH2*sqrt(2)*2*3.14159/a;Qv2 = sqrt(Qmax^2-Qp.^2)/(2*3.14159)*c;
Qmax = 2*k*sin(68/2/180*3.14159);Qp = QH2*sqrt(2)*2*3.14159/a;Qv3 = sqrt(Qmax^2-Qp.^2)/(2*3.14159)*c;

%for th fixed
mtth1 = 50:0.2:100;mAlpha = 41.1273;mBeta = mtth1-mAlpha;

Li = k*sin(mAlpha/180*3.14159);  Hi = k*cos(mAlpha/180*3.14159);
Le = k*sin(mBeta./180*3.14159);  He = k*cos(mBeta./180*3.14159);
fL = Le+Li;                      fH = Hi-He;
QL1 = fL*c/2/3.14159;            QH1 = -fH*a/2/3.14159/sqrt(2);

hold on
plot(QH1, QL1, '-k')
hold on
plot(QH2, Qv2, '-.k')
hold on
plot(QH2, Qv3, ':k')
hold on

% load the intensity
addpath('D:\Desktop\RIXS Mn214\data analysis\Jun 2010 APS Sect9\matlab May2012');
set78 = load('tth78.mat');set68 = load('tth68.mat');setth = load('fixTh.mat');
I78 = set78.resE; I68 = set68.resE; Ith = setth.resE;%6 for 78 and 7 for 68

mS = 1000;
for i=1:1:6 %78
    hold on
    hhh = plot(mH2(i), mL2(i),'or','MarkerFaceColor','r','MarkerSize',I78(i)/mS);
    
end

for i=1:1:7
    hold on
    plot(mH3(i), mL3(i),'or','MarkerFaceColor','r','MarkerSize',I68(i)/mS)
end

mshift = [0.08 -0.06 -0.03 -0.005 -0.01 0.01 0.05 0.07 0.09 0.14];
for i=1:1:10
    hold on
    plot(mH1(i), mL1(i)+mshift(i),'or','MarkerFaceColor','r','MarkerSize',Ith(i)/mS)
end

% plot(mH1, mL1,  '*k','MarkerSize',8)
% hold on
% plot(mH2, mL2, 'sb','MarkerFaceColor','b', 'MarkerSize',6)
% hold on
% plot(mH3, mL3,'or','MarkerFaceColor','r', 'MarkerSize', 7)
axis([-1 1 5.2 11])

set(gca,'xtick',-0.75:0.25:0.75,'FontSize',13)
set(gca,'ytick',5:1:10,'FontSize',13)
xlabel('H (r.l.u.)','FontSize',22)
ylabel('L (r.l.u.)','FontSize',22)

[legend_h,object_h,plot_h,text_strings]=legend('\theta = 40\circ','\Theta = 78\circ', '\Theta = 68\circ');
temp = get(legend_h, 'OuterPosition');
% a = 0.02;
% set(legend_h, 'OuterPosition', [temp(1), temp(2)+a, temp(3), temp(4)]) 
set(legend_h,'box','off')
set(legend_h,'FontSize',18)
text(-0.93,10.7,'(b)','FontSize',20)

% -----------------the overall Q stacking curves--------------------------
% put tth=78 and th fixed together
m=3; %select which curve to plot - m=3 is the absorption corrected intensity
a = 800;
% load('AllLists.mat')
% ------------------- set3 ----------------------------
figure(74)
hold on
axes('Position',[0.39+0.03 0.205 0.16-0.03 0.34])

for j=1:1:7
    hold on
    k = 8-j; % reverse the sequence of the plot
    i = (k-1)*4;
    ssx = -SList3(:,i+1)*1000;
    tsy = SList3(:,i+m)*theR*abFactor(k);
    
    ssy = tsy+a*(j-1);
    mcut1 = 8;
    mcut2 = 33; % full length = 33
    plot(ssx(mcut1:mcut2),ssy(mcut1:mcut2),'.-k','LineWidth',2,'MarkerSize',22)
    set(gca,'FontSize',18)
    text(5.5, 400+a*(j-1), num2str(mH3(k)),'FontSize',18);
end
box off
axis([0.3 7 0 0.65e4])

text(4.9+1.2, 5850, 'H','FontSize',20);
xlabel('Energy loss(eV)','FontSize',22);
ylabel('Intensity(counts)','FontSize',22);
set(gca,'xtick',[2,4],'FontSize',18)
set(gca,'ytick',0:1000:60000,'FontSize',18)
text(0.5,6200,'(c)','FontSize',20)

% add shadow region
hold on
intg1 = 1;
intg2 = 3; %2.47;
pX = [intg1, intg1, intg2, intg2];
pY = [    0,  6300,  6300,    0];
patch(pX, pY, [0 0 0], 'EdgeColor','none','FaceAlpha',0.2)



%%

bg = [0,0,0];
A = imread('temp2.png');%,'BackgroundColor','w');
figure(99)
imshow(A)
set(gcf,'Color','none')

export_fig temp-v3.pdf

