%{
===============================================================================
DESIGNED BY:    Tsezar F. Seman
AFFILIATION:    NJIT University, Physics Department
MODIFIED ON:    08/20/2011
COPYRIGHT:      (c) Tsezar F. Seman. All rights reserved.
PURPOSE:        Saving Figures to PDF automatically.
===============================================================================
%}
function fig2pdf(figId,szPref,bRaster)
	if nargin < 1
		figId = gcf;
	end
	if nargin < 2
		szPref = '';
	end
	if nargin < 3
		bRaster = 0;
	end
	if bRaster
		pr_painter = '-opengl';
		pr_res = '-r200';
	else
		pr_painter = '-painters';
		pr_res = '-r600';
	end
	szPref = [MakeDir('_PDF_'),'/',szPref];
	nF = size(figId,2);
	for iF = 1:nF
		hfig = figId(iF);
		set(hfig,'PaperPositionMode','auto');
		file = sprintf('%sf%03i.pdf',szPref,hfig);
		print(hfig, pr_painter, pr_res, '-dpdf', file);
		fprintf('    * Saved file: %s\n',file);
	end
end

